<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9650.xslt, januari 2024 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:bm802="http://ei.vektis.nl/betaalopdrachtmondzorg/bm802/v2_0">

	<!-- retourcode 9650: IF Categorie = 1|2|4, THEN NOT EXIST AantalDagen | AantalDagen mag niet voorkomen. -->
	<xsl:template name="rc9650">
		<xsl:param name="AantalDagen"/>
		<xsl:param name="Categorie"/>
		
		<xsl:if test="(($Categorie='1') or ($Categorie='2') or ($Categorie='4')) and ($AantalDagen)">
			<bm802:Feedback>
				<bm802:Retourcode>9650</bm802:Retourcode>
					<!-- som de elementen op die de fout veroorzaken -->
					<bm802:BetrokkenElement>
						<bm802:Elementnaam><xsl:value-of select="local-name($Categorie)"/></bm802:Elementnaam>
						<bm802:Elementwaarde><xsl:value-of select="$Categorie"/></bm802:Elementwaarde>
					</bm802:BetrokkenElement>
					<bm802:BetrokkenElement>
						<bm802:Elementnaam><xsl:value-of select="local-name($AantalDagen)"/></bm802:Elementnaam>
						<bm802:Elementwaarde><xsl:value-of select="$AantalDagen"/></bm802:Elementwaarde>
					</bm802:BetrokkenElement>
			</bm802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
