<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9263b.xslt, januari 2024 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:bm802="http://ei.vektis.nl/betaalopdrachtmondzorg/bm802/v2_0">

	<!-- retourcode 9263: OntvangerRol ontbreekt of is onjuist | Indien Berichtcode = 538 (= Retourinformatie Betaalopdracht in de WLZ), dan OntvangerRol = 5 (= Zorgkantoor).-->
	<xsl:template name="rc9263b">
		<xsl:param name="Berichtcode"/>
		<xsl:param name="OntvangerRol"/>

		<xsl:if test="$Berichtcode=538 and not($OntvangerRol='5')">
			<bm802:Feedback>
				<bm802:Retourcode>9263</bm802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<bm802:BetrokkenElement>
					<bm802:Elementnaam><xsl:value-of select="local-name($Berichtcode)"/></bm802:Elementnaam>
					<bm802:Elementwaarde><xsl:value-of select="$Berichtcode"/></bm802:Elementwaarde>
				</bm802:BetrokkenElement>
				<bm802:BetrokkenElement>
					<bm802:Elementnaam><xsl:value-of select="local-name($OntvangerRol)"/></bm802:Elementnaam>
					<bm802:Elementwaarde><xsl:value-of select="$OntvangerRol"/></bm802:Elementwaarde>
				</bm802:BetrokkenElement>
			</bm802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
