<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9644.xslt, januari 2024 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:bm802="http://ei.vektis.nl/betaalopdrachtmondzorg/bm802/v2_0">

	<!-- retourcode 9644: IF TypeBegunstigde = 06, THEN Categorie = 4. - Alleen categorie hulpmiddel is mogelijk bij type begunstigde gemeente. -->
	<xsl:template name="rc9644">
		<xsl:param name="TypeBegunstigde"/>
		<xsl:param name="Categorie"/>
		
		<xsl:if test="$TypeBegunstigde='06' and not($Categorie='4')">
			<bm802:Feedback>
				<bm802:Retourcode>9644</bm802:Retourcode>
					<!-- som de elementen op die de fout veroorzaken -->
					<bm802:BetrokkenElement>
						<bm802:Elementnaam><xsl:value-of select="local-name($TypeBegunstigde)"/></bm802:Elementnaam>
						<bm802:Elementwaarde><xsl:value-of select="$TypeBegunstigde"/></bm802:Elementwaarde>
					</bm802:BetrokkenElement>
					<bm802:BetrokkenElement>
						<bm802:Elementnaam><xsl:value-of select="local-name($Categorie)"/></bm802:Elementnaam>
						<bm802:Elementwaarde><xsl:value-of select="$Categorie"/></bm802:Elementwaarde>
					</bm802:BetrokkenElement>
			</bm802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
