<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9648.xslt, januari 2024 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:bm802="http://ei.vektis.nl/betaalopdrachtmondzorg/bm802/v2_0">

	<!-- retourcode 9648: IF Categorie = 3, THEN EXIST AantalDagen. - AantalDagen ontbreekt of is onjuist. -->
	<xsl:template name="rc9648">
		<xsl:param name="AantalDagen"/>
		<xsl:param name="Categorie"/>
		
		<xsl:if test="$Categorie='3' and not($AantalDagen)">
			<bm802:Feedback>
				<bm802:Retourcode>9648</bm802:Retourcode>
					<!-- som de elementen op die de fout veroorzaken -->
					<bm802:BetrokkenElement>
						<bm802:Elementnaam><xsl:value-of select="local-name($Categorie)"/></bm802:Elementnaam>
						<bm802:Elementwaarde><xsl:value-of select="$Categorie"/></bm802:Elementwaarde>
					</bm802:BetrokkenElement>
					<bm802:BetrokkenElement>
						<bm802:Elementnaam><xsl:value-of select="local-name($AantalDagen)"/></bm802:Elementnaam>
						<bm802:Elementwaarde><xsl:value-of select="$AantalDagen"/></bm802:Elementwaarde>
					</bm802:BetrokkenElement>
			</bm802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
